mpv (0.40.0-3ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Apr 2025 09:38:11 +0200

mpv (0.40.0-3) unstable; urgency=medium

  [ Diederik de Haas ]
  * d/copyright: Update for moved files

  [ Sebastian Ramacher ]
  * debian/control: Update dependencies of -dev package

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 04 Apr 2025 18:43:53 +0200

mpv (0.40.0-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Mar 2025 07:51:55 +0200

mpv (0.40.0-2) unstable; urgency=medium

  * Fix up version history

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Mar 2025 13:55:36 +0200

mpv (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0
  * debian/control:
    - Bump Standards-Version
    - Bump libav* build dependencies
    - Add libdisplay-info-dev to Build-Depends
    - Remove unused build dependencies
  * debian/rules: Drop some unnecessary build flags

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Mar 2025 13:42:18 +0200

mpv (0.39.0-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2024 22:29:44 +0100

mpv (0.39.0-1) unstable; urgency=medium

  [ Joachim Bauch ]
  * Re-enable sndio support (Closes: #1021761).

  [ Sebastian Ramacher ]
  * New upstream version 0.39.0
  * debian/control: Bump ffmpeg dependencies to 7:6.1

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 10 Dec 2024 00:05:52 +0100

mpv (0.38.0-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 10:14:45 +0200

mpv (0.38.0-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release.
    - Drop patch applied upstream.
    - Fix incompatibilities with ffmpeg 7.0 (Closes: #1068660)
  * Update Standards-Version to 4.7.0.

  [ Sebastian Ramacher ]
  * debian/rules: Disable Windows and macOS specific features
  * debian/copyright: Drop removed files

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 01 May 2024 11:10:27 +0200

mpv (0.37.0-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:17:48 +0000

mpv (0.37.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:10 +0000

mpv (0.37.0-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:22:33 +0000

mpv (0.37.0-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Dec 2023 09:26:46 +0100

mpv (0.37.0-1) unstable; urgency=medium

  * New upstream version 0.37.0
  * debian/patches: Refresh patches
  * debian/libmpv2.symbols: Add new symbol
  * debian/docs: Update list of installed documentation
  * debian/control:
    - Add libcdio-dev to BDs
    - Bump required libplacebo-dev BD
    - Switch to pkgconf

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 02 Dec 2023 12:30:21 +0100

mpv (0.36.0-1ubuntu2) noble; urgency=medium

  * Rebuild against new libplacebo338.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 10:25:29 +0100

mpv (0.36.0-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Aug 2023 12:10:22 +0200

mpv (0.36.0-1) unstable; urgency=medium

  * New upstream version 0.36.0
  * debian/patches: Refresh patches
  * debian/libmpv2.symbols: Add new symbol

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Aug 2023 22:43:12 +0200

mpv (0.35.1-4ubuntu2) mantic; urgency=medium

  * No-change rebuild against libmujs3.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 15:50:29 +0100

mpv (0.35.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 May 2023 08:49:38 +0200

mpv (0.35.1-4) unstable; urgency=medium

  * Team upload.
  * rules: Restore ARCH_CONFIGURE to configuration options so that the logic
    that conditionally enables support for DVB (only on Linux) will function
    as intended (Closes: #1026060).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 18 Apr 2023 22:28:15 -0400

mpv (0.35.1-3) unstable; urgency=medium

  * debian/patches: Remove duplicate patches

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Apr 2023 08:25:35 +0200

mpv (0.35.1-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Apr 2023 15:23:42 +0200

mpv (0.35.1-2) unstable; urgency=medium

  * debian/patches: Apply upstream patches for yt-dlp 2023.03.04 compatibility
    (Closes: #1033595, #1033609)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 31 Mar 2023 20:46:51 +0200

mpv (0.35.1-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 Jan 2023 09:29:53 +0100

mpv (0.35.1-1) unstable; urgency=medium

  * New upstream version 0.35.1
  * debian/patches: Drop patches included upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Jan 2023 20:55:34 +0100

mpv (0.35.0-5) unstable; urgency=medium

  * debian/patches: Apply upstream changes to add auto option to vd-lavc-dr
    (Closes: #1027455)
  * debian/control:
    - Add myself to Uploaders
    - Bump Standards-Version
    - Change (Build-)Depends from lib(e)gl1-mesa-dev to lib(e)gl-dev.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 29 Jan 2023 11:57:26 +0100

mpv (0.35.0-4ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Dec 2022 09:34:07 +0100

mpv (0.35.0-4) unstable; urgency=medium

  * Team upload
  * debian/control: Add wayland-protocols to libmpv-dev's dependencies
    (Closes: #1026624)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Dec 2022 22:27:12 +0100

mpv (0.35.0-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Nov 2022 13:48:01 +0100

mpv (0.35.0-3) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Nov 2022 18:44:12 +0100

mpv (0.35.0-2) experimental; urgency=medium

  * Team upload
  * debian/control: Add missing dependencies to libmpv-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 13 Nov 2022 21:45:43 +0100

mpv (0.35.0-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.

  [ Sebastian Ramacher ]
  * New upstream version 0.35.0 (Closes: #102329)
  * SONAME bump: libmpv1 -> libmpv2
  * debian/: Use meson build system
  * debian/patches:
    - Refresh patches
    - Remove waf patch
  * debian/control:
    - Add libpipewire-0.3-dev to Build-Depends
    - Add libxpresent-dev to Build-Depends
    - Bump Standards-Version
    - Remove youtube-dl recommends
    - Bump required libplacebo-dev version
  * debian/rules:
    - Disable sndio support
    - Fix location of zsh completion
  * debian/copyright: Update copyright holders and years

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Nov 2022 22:05:00 +0100

mpv (0.34.1-1ubuntu5) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 12:59:26 +0000

mpv (0.34.1-1ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libmujs2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 Jul 2022 05:04:33 +0000

mpv (0.34.1-1ubuntu3) jammy; urgency=medium

  * No-change rebuild against libplacebo192

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 06 Feb 2022 00:56:36 +0000

mpv (0.34.1-1ubuntu2) jammy; urgency=medium

  * No-change rebuild against libplacebo157

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:01:46 +0000

mpv (0.34.1-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jan 2022 21:00:00 +0100

mpv (0.34.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.34.1
  * debian/control: Add yt-dpl to Recommends

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 06 Jan 2022 12:53:19 +0100

mpv (0.34.0-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Nov 2021 08:31:40 +0100

mpv (0.34.0-2) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Add Build-Depends on libffmpeg-nvenc-dev
    - Add Suggests on libcuda1

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Nov 2021 20:56:13 +0100

mpv (0.34.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.34.0
  * debian/patches:
    - Refresh patches
    - Remove patches for libplacebo 3.120 support
  * debian/control: Bump Build-Depends versions with upstream requirements

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Nov 2021 19:23:22 +0100

mpv (0.33.1-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Sep 2021 07:33:14 +0200

mpv (0.33.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #982249)
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
    - Add new build dependencies:
      + libmujs-dev (Closes: #956480)
      + libzimg-dev
      + libsixel-dev
      + libplacebo-dev
      + libvulkan-dev
      + spirv-cross
      + libspirv-cross-c-shared-dev
    - Remove unused build dependencies (support removed upstream):
      + libsmbclient-dev (Closes: #834022)
      + libsndio-dev
    - Remove version constraints in B-D already satisfied in bullseye
  * debian/patches:
    - Apply upstream patches to support libplacebo 3.120
    - Refresh patches
  * libmpv1.symbols: Add new symbols
  * debian/rules: Honor number of parallel jobs
  * debian/copyright: Update copyright for new upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 07 Sep 2021 11:38:01 +0200

mpv (0.32.0-3ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Apr 2021 17:45:58 +0200

mpv (0.32.0-3) unstable; urgency=medium

  * debian/patches: Apply upstream fix for CVE-2021-30145 (Closes: #986839)
    Thanks to Jan Ekström.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 09:10:40 +0200

mpv (0.32.0-2ubuntu2) groovy; urgency=medium

  * Rebuild against new libcdio19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Aug 2020 09:38:40 +0200

mpv (0.32.0-2ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 20 Jul 2020 09:13:38 +0200

mpv (0.32.0-2) unstable; urgency=medium

  * Bug fix: "unintended code execution vulnerability", thanks to astian
    (Closes: #950816). Patch backported from upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 18 Jul 2020 18:01:43 -0400

mpv (0.32.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2020 19:11:03 +0100

mpv (0.32.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release.

  * d/copyright: Add updates for 0.32.0.
  * d/control:
    - Update libarchive dependency.
    - Bump standards version to 4.5.0.
  * d/patches: Refresh patches.

  [ Debian Janitor ]
  * Set upstream metadata fields:
    Bug-Database, Repository, Repository-Browse.

 -- James Cowgill <jcowgill@debian.org>  Wed, 29 Jan 2020 01:03:08 +0000

mpv (0.30.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Reintroduce mpv.conf.ubuntu to enable VAAPI acceleration by default.
      (LP: #1708102)
  * Drop changes included in upstream source code: 08_fix-lp1698287.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Nov 2019 12:06:34 +0100

mpv (0.30.0-1) unstable; urgency=medium

  [ James Cowgill ]
  * New upstream release. (Closes: #945367)

  * d/copyright: Updates for 0.30.0.
  * d/control:
    - Use debhelper compat 12.
    - Bump minimum libwayland-dev version.
    - Drop libvulkan-dev.
    - Add build-dependency on libdrm-dev.
    - Bump standards version to 4.4.1.
  * d/libmpv1.symbols:
    - Add new symbols found in 0.30.0.
    - Add Build-Depends-Package field.
  * d/patches:
    - Drop 02_fix-config-path.patch.
    - Refresh patches.
  * d/rules:
    - Drop --enable-zsh-comp.
    - Drop --enable-libdvdread.

  [ Ondřej Nový ]
  * d/control: Use debhelper-compat instead of debian/compat.

 -- James Cowgill <jcowgill@debian.org>  Sun, 24 Nov 2019 17:29:57 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmpv2`.
